Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Text
Imports DevExpress.ExpressApp
Imports DevExpress.Data.Filtering
Imports System.Collections.Generic
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.Utils
Imports DevExpress.ExpressApp.Layout
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.ExpressApp.Editors
Imports DevExpress.ExpressApp.Templates
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.SystemModule
Imports DevExpress.ExpressApp.Model.NodeGenerators
Imports DevExpress.Web
Imports DevExpress.ExpressApp.Web.Editors.ASPx

' For more typical usage scenarios, be sure to check out http://documentation.devexpress.com/#Xaf/clsDevExpressExpressAppViewControllertopic.
Partial Public Class OpenObjectController
    Inherits ViewController(Of ListView)
    Public Sub New()
        InitializeComponent()
        RegisterActions(components)
        ' Target required Views (via the TargetXXX properties) and create their Actions.
    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()
        AddHandler View.ControlsCreated, AddressOf View_Controlcreated
    End Sub
    Protected Overrides Sub OnViewControlsCreated()
        MyBase.OnViewControlsCreated()
        ' Access and customize the target View control.
    End Sub
    Protected Overrides Sub OnDeactivated()
        RemoveHandler View.ControlsCreated, AddressOf View_Controlcreated
        MyBase.OnDeactivated()
    End Sub

    Private Sub View_Controlcreated(sender As Object, e As EventArgs)
        Dim _ASPxGridListEditor As ASPxGridListEditor = TryCast(View.Editor, ASPxGridListEditor)
        If _ASPxGridListEditor IsNot Nothing Then

            AddHandler _ASPxGridListEditor.CustomCreateCellControl, AddressOf CCC

            Dim _ASXGridView As ASPxGridView = TryCast(_ASPxGridListEditor.Grid, ASPxGridView)
            If _ASXGridView IsNot Nothing Then
                'AddHandler _ASXGridView.


            End If
        End If
    End Sub

    Private Sub GridView_PreRender(sender As Object, e As EventArgs)
        Beep()
    End Sub

    Private Sub CCC(sender As Object, e As DevExpress.ExpressApp.Web.Editors.CustomCreateCellControlEventArgs)
        Beep()
    End Sub

End Class
